Subject: Re: [PATCH] doc/netlink: Expand nftables specificaion

From: Donald Hunter <[email-masked]>
Date: Fri, 10 Oct 2025 10:21:23 +0100

"Remy D. Farley" <[email-masked]> writes:

> Getting out some changes I've accumulated while making nftables to work with
> Rust netlink-bindings. Hopefully, this will be useful upstream.
>
> This patch:
>
> - Fills out missing attributes in operations.
> - Adds missing annotations: dump ops, byte-order, checks.
> - Adds some missing sub-options (and their associated attributes).
> - Adds (copying over) documentation for some attributes/enum members.
> - Adds "getcompat" operation.
> - Adds max check in netlink-raw specification (suggested by Donald Hunter).
>
> Signed-off-by: Remy D. Farley <[email-masked]>

Hi Remy,

Is this v3? It should say v3 in the subject and it should contain a list
of the changes since v2 and v1. It's hard for reviewers to follow what
is going on otherwise.

https://docs.kernel.org/process/submitting-patches.html#commentary

> On Friday, October 3rd, 2025 at 9:04 PM, Jakub Kicinski <[email-masked]> wrote:
>> Please don't send a reply in a previous thread and 4 min later a new
>> version of the patch :(

You did it again, reply and new patch minutes apart. The commentary in
the reply could instead have been in the changelog of this patch.

> ---
>  Documentation/netlink/netlink-raw.yaml    |  11 +-
>  Documentation/netlink/specs/nftables.yaml | 656 ++++++++++++++++++++--
>  2 files changed, 617 insertions(+), 50 deletions(-)

I think this should a 2 patch series since the schema update is a
logical change that is independent of the nftables.yaml changes.

Also, net-next is closed until Oct 13 so you should resubmit when net-next
is open again.

https://netdev.bots.linux.dev/net-next.html

I will review the rest of the nftables.yaml changes in the meantime.

Thanks,
Donald.